public inbox for passt-dev@passt.top
 help / color / mirror / code / Atom feed
From: Jon Maloy <jmaloy@redhat.com>
To: passt-dev@passt.top, sbrivio@redhat.com, lvivier@redhat.com,
	dgibson@redhat.com, jmaloy@redhat.com
Subject: [PATCH v2] test: make passt.mbuto script more robust
Date: Thu, 14 Dec 2023 16:12:19 -0500	[thread overview]
Message-ID: <20231214211219.127144-1-jmaloy@redhat.com> (raw)

From: Jon Paul Maloy <jmaloy@redhat.com>

Creation of a symbolic link from /sbin to /usr/sbin fails if /sbin
exists and is non-empty. This is the case on Ubuntu-23.04.

We fix this by removing /sbin before creating the link.

Signed-off-by: Jon Maloy <jmaloy@redhat.com>

---
v2: Move the contents of /sbin to /usr/sbin before creating the link.

Signed-off-by: Jon Maloy <jmaloy@redhat.com>
---
 test/passt.mbuto | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/test/passt.mbuto b/test/passt.mbuto
index 90816d2..75d1260 100755
--- a/test/passt.mbuto
+++ b/test/passt.mbuto
@@ -26,6 +26,9 @@ DIRS="${DIRS} /tmp /sbin /usr/share /var/log /var/lib /etc/ssh /run/sshd /root/.
 COPIES="${COPIES} small.bin,/root/small.bin medium.bin,/root/medium.bin big.bin,/root/big.bin"
 
 FIXUP="${FIXUP}"'
+	mv /sbin/* /usr/sbin || :
+	rm -rf /sbin
+	ln -s /usr/sbin /sbin
 	cat > /sbin/dhclient-script << EOF
 #!/bin/sh
 LOG=/var/log/dhclient-script.log
@@ -47,7 +50,6 @@ set >> \$LOG
 exit 0
 EOF
 	chmod 755 /sbin/dhclient-script
-	ln -s /sbin /usr/sbin
 	ln -s /bin /usr/bin
 	ln -s /run /var/run
 	:> /etc/fstab
-- 
@@ -26,6 +26,9 @@ DIRS="${DIRS} /tmp /sbin /usr/share /var/log /var/lib /etc/ssh /run/sshd /root/.
 COPIES="${COPIES} small.bin,/root/small.bin medium.bin,/root/medium.bin big.bin,/root/big.bin"
 
 FIXUP="${FIXUP}"'
+	mv /sbin/* /usr/sbin || :
+	rm -rf /sbin
+	ln -s /usr/sbin /sbin
 	cat > /sbin/dhclient-script << EOF
 #!/bin/sh
 LOG=/var/log/dhclient-script.log
@@ -47,7 +50,6 @@ set >> \$LOG
 exit 0
 EOF
 	chmod 755 /sbin/dhclient-script
-	ln -s /sbin /usr/sbin
 	ln -s /bin /usr/bin
 	ln -s /run /var/run
 	:> /etc/fstab
-- 
2.39.2


             reply	other threads:[~2023-12-14 21:12 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-14 21:12 Jon Maloy [this message]
2023-12-15  0:38 ` [PATCH v2] test: make passt.mbuto script more robust David Gibson
2023-12-27 20:25 ` Stefano Brivio

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20231214211219.127144-1-jmaloy@redhat.com \
    --to=jmaloy@redhat.com \
    --cc=dgibson@redhat.com \
    --cc=lvivier@redhat.com \
    --cc=passt-dev@passt.top \
    --cc=sbrivio@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://passt.top/passt

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for IMAP folder(s).